Create or link a Property
Creates a Property or links an exact placeId match to the calling organization without fuzzy matching or cross-tenant leakage. Requires Idempotency-Key. Required scope: properties:write.
Creates a Property or links an exact placeId match to the calling organization without fuzzy matching or cross-tenant leakage. Requires Idempotency-Key. Required scope: properties:write.
Authorization<token>
Organization API key. Format: Bearer sk_live_...
In: header
Request Body
application/json
JSON request payload for createProperty.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/properties" \ -H "Content-Type: application/json" \ -d '{ "customerId": "customer_123", "address": "1 Market St", "city": "San Francisco", "state": "CA", "zipCode": "94105", "country": "US", "serviceTypes": [ "SOLAR" ] }'{ "data": {}, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}